/* 
 * File:   str_dbl_map.h
 * Author: parkcs
 *
 * Created on June 22, 2011, 1:55 PM
 * 
 * Hashmap from str (const char*) to double
 */

#ifndef STR_DBL_MAP_H
#define	STR_DBL_MAP_H

#include "hash.h"

#ifndef TYPEDEF_STR
#define TYPEDEF_STR
typedef const char* str;
#endif

typedef double dbl;

#define KEYTYPE				str
#define KEY_HASH_FN(x)		FNV_32_longlong((uint64_t)x)
#define KEY_EQ_FN(x,y)		(x == y)
#define VALUETYPE			dbl
#define KEY_PRINT_FN(o,x)	fprintf(o, "%s", x);
#define VALUE_PRINT_FN(o,x) fprintf(o, "%f", x)
#include "../defs/map.def"

#endif	/* STR_DBL_MAP_H */

