#include <upc.h>
#include <stdint.h>


shared int A[THREADS];

int main()
{
	int *p;

	if (MYTHREAD == 0) {
		for(int i = 0; i < THREADS; ++i)
			A[i]=i+1;
	}

	upc_barrier;

	int i = (MYTHREAD + 1) % THREADS; 
	printf("[%d] A[%d]@%llx = %d\n", MYTHREAD, i, &A[i], A[i]);

	p = (int*) &A[MYTHREAD];
	*p = (*p)*(*p);
	printf("[%d] p@%llx = %d\n", MYTHREAD, (uint64_t)p, *p);

	//i = MYTHREAD;
	//printf("[%d] A[%d]@%llx = %d\n", MYTHREAD, i, &A[i], A[i]);

	upc_barrier;
	return 0;
}
